libmwawOLE::DirInfo Class Reference

Internal and low level: class of libmwawOLE used to store and write a information find in a directory entry. More...

## Public Member Functions

| DirInfo ()
| constructor More...
bool | hasCLSId () const
| returns true if the clsid field is filed More...

## Public Attributes

unsigned | m_time [4]
| four uint32_t : the first two used for creation, the last for modification time More...
unsigned | m_clsid [4]
| four uint32_t: the clsid data More...

## Friends

std::ostream & | operator<< (std::ostream &o, DirInfo const &inf)
| operator<< More...

## Detailed Description

Internal and low level: class of libmwawOLE used to store and write a information find in a directory entry.

## Constructor & Destructor Documentation

libmwawOLE::DirInfo::DirInfo | ( |  | ) |

inline

constructor

## Member Function Documentation

bool libmwawOLE::DirInfo::hasCLSId | ( |  | ) | const

inline

returns true if the clsid field is filed

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DirInfo const & | inf
| ) |  |

friend

operator<<

## Member Data Documentation

unsigned libmwawOLE::DirInfo::m_clsid[4]

four uint32_t: the clsid data

Referenced by DirInfo(), hasCLSId(), libmwawOLE::DirEntry::load(), and libmwawOLE::DirEntry::save().

unsigned libmwawOLE::DirInfo::m_time[4]

four uint32_t : the first two used for creation, the last for modification time

Referenced by DirInfo(), libmwawOLE::DirEntry::load(), and libmwawOLE::DirEntry::save().

The documentation for this class was generated from the following file:

- MWAWOLEStream.cxx